Search found 5 matches

by cyril42e
Mon Aug 04, 2014 8:29 am
Forum: PicoScope for Linux
Topic: Could not load type 'az' from assembly
Replies: 10
Views: 6672

Re: Could not load type 'az' from assembly

Hi, You're right it was a localization problem! I do have System.Runtime.Serialization.dll on my system, and I tried to install all the -sharp and -dotnet packages available but it didn't change anything. However the edit of the preferences file suggested by greg solved the problem (haven't tried wi...
by cyril42e
Thu Jul 31, 2014 7:41 am
Forum: PicoScope for Linux
Topic: Could not load type 'az' from assembly
Replies: 10
Views: 6672

Re: Could not load type 'az' from assembly

Hi, I tried with the picoscope plugged in, the software sees it but the device makes a noise "click-click", the LED blinks a few times then goes off, and the software crashes with the same trace. From the log it seems that it successes to open the device, but then tries again and fails (maybe when t...
by cyril42e
Wed Jul 30, 2014 1:58 pm
Forum: PicoScope for Linux
Topic: Could not load type 'az' from assembly
Replies: 10
Views: 6672

Re: Could not load type 'az' from assembly

Actually I was still missing some DLLs you mentioned before, I also had to manually install (because not available in Gentoo's package manager): mono-uia-2.1-31.1.x86_64.rpm uiaatkbridge-2.0.2-10.1.2.x86_64.rpm uiautomationwinforms-2.0.2-10.1.1.x86_64.rpm However I still get the same crash and the s...
by cyril42e
Wed Jul 30, 2014 8:47 am
Forum: PicoScope for Linux
Topic: Could not load type 'az' from assembly
Replies: 10
Views: 6672

Re: Could not load type 'az' from assembly

here is the list of DLLs that should your mono installation provide Thank you for this information, I was indeed missing several DLLs. In addition to installing mono, I had to install the following Gentoo packages: atk-sharp gdk-sharp glib-sharp gtk-dotnet-sharp gtk-sharp Also, please note that cor...
by cyril42e
Tue Jul 29, 2014 9:40 pm
Forum: PicoScope for Linux
Topic: Could not load type 'az' from assembly
Replies: 10
Views: 6672

Could not load type 'az' from assembly

Hi, I insalled the latest version of picoscope with its dependencies (for 2204a) : libpicoipp-1.1.2-4r21.x86_64.rpm libusbtc08-1.8.8-1r03.x86_64.rpm libusbdrdaq-1.0.2-1r04.x86_64.rpm libps2000a-1.1.2-5r04.x86_64.rpm picoscope-6.10.1-4r8.noarch.rpm I'm running Gentoo distribution, so I used the RPM p...